//
//Scanner1
//SJJ Embedded Micro Solutions
//Copyright (c) 2004 - 2007 SJJ Micro Solutions, LLC. All Rights Reserved
//


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.PointOfService;

namespace Scanner1

    
{
    public partial class Form1 : Form
    {

        private PosExplorer myPosExplorer;
        private Scanner myScanner;


        public Form1()
        {
            InitializeComponent();
            myPosExplorer = new PosExplorer(this);
            myPosExplorer.DeviceAddedEvent += new DeviceChangedEventHandler(myPosExplorer_DeviceAddedEvent);
        }

        void myPosExplorer_DeviceAddedEvent(object sender, DeviceChangedEventArgs e)
        {
            if(e.Device.Type == "Scanner"){
                myScanner = (Scanner) myPosExplorer.CreateInstance(e.Device);

                myScanner.Open();
                myScanner.Claim(1000);
                myScanner.DeviceEnabled = true;
                myScanner.DataEventEnabled = true;
                myScanner.DecodeData = true;

                myScanner.DataEvent += new DataEventHandler(myScanner_DataEvent);
            }
            
        }

        void myScanner_DataEvent(object sender, DataEventArgs e)
        {
            ASCIIEncoding myEncoding = new ASCIIEncoding();

            lstItems.Items.Add(myEncoding.GetString(myScanner.ScanDataLabel)); 
            myScanner.DataEventEnabled = true;

        }
    }
}